﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Windows;
using System.Windows.Media;

namespace WpfApp16
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private Random rand;

        public MainWindow( )
        {
            InitializeComponent();

            var dataItems = getDL1_list();
            dataGrid.DataSource = dataItems;
        }

        private List<DataLevel1> getDL1_list( )
        {
            rand = new Random();
            var dataL1 = new List<DataLevel1>();
            for ( var t = 0; t < 5; ++t )
                dataL1.Add(createRandomL1());
            return dataL1;
        }

        private DataLevel1 createRandomL1( )
        {
            var d1 = new DataLevel1
            {
                L1_col1 = randomString("c1-"),
                L1_col2 = randomString("c2-"),
            };
            return d1;
        }

        private string randomString( string v, int len = 10 )
        {
            var randStr = string.Empty;
            for ( var i = 0; i < len; ++i )
                randStr += (char)('a' + rand.Next(25));
            return $"{v}{randStr}";
        }

        private void editButton_Click( object sender, RoutedEventArgs e )
        {
            Debug.WriteLine("button mouse click");
            var cvp = CellValuePresenter.FromCell(dataGrid.ActiveCell);
            cvp.Background = new SolidColorBrush(Colors.Yellow);
        }
    }

    public class DataLevel1
    {
        public string L1_col1 { get; set; }
        public string L1_col2 { get; set; }
    }
}
